Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Core.ExtendedPathFilter Class Reference

ExtendedPathFilter filters based on name, file size, and the last write time of the file. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Core.ExtendedPathFilter:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Core.ExtendedPathFilter:
[legend]

## Public Member Functions
| ExtendedPathFilter (string filter, long minSize, long maxSize)
| Initialise a new instance of ExtendedPathFilter.
| ExtendedPathFilter (string filter, DateTime minDate, DateTime maxDate)
| Initialise a new instance of ExtendedPathFilter.
| ExtendedPathFilter (string filter, long minSize, long maxSize, DateTime minDate, DateTime maxDate)
| Initialise a new instance of ExtendedPathFilter.
override bool | IsMatch (string name)
| Test a filename to see if it matches the filter.
Public Member Functions inherited from ICSharpCode.SharpZipLib.Core.PathFilter
| PathFilter (string filter)
| Initialise a new instance of PathFilter.

## Properties
long | MinSize`[get, set]`
| Get/set the minimum size/length for a file that will match this filter.
long | MaxSize`[get, set]`
| Get/set the maximum size/length for a file that will match this filter.
DateTime | MinDate`[get, set]`
| Get/set the minimum DateTime value that will match for this filter.
DateTime | MaxDate`[get, set]`
| Get/set the maximum DateTime value that will match for this filter.

## Private Attributes
long | minSize_
long | maxSize_ = long.MaxValue
DateTime | minDate_ = DateTime.MinValue
DateTime | maxDate_ = DateTime.MaxValue

## Detailed Description

ExtendedPathFilter filters based on name, file size, and the last write time of the file.

Provides an example of how to customise filtering.

## Constructor & Destructor Documentation

## ◆ ExtendedPathFilter() [1/3]

ICSharpCode.SharpZipLib.Core.ExtendedPathFilter.ExtendedPathFilter | ( | string | filter,
|  | long | minSize,
|  | long | maxSize )

Initialise a new instance of ExtendedPathFilter.

Parameters

  filter | The filter to apply.
  minSize | The minimum file size to include.
  maxSize | The maximum file size to include.

## ◆ ExtendedPathFilter() [2/3]

ICSharpCode.SharpZipLib.Core.ExtendedPathFilter.ExtendedPathFilter | ( | string | filter,
|  | DateTime | minDate,
|  | DateTime | maxDate )

Initialise a new instance of ExtendedPathFilter.

Parameters

  filter | The filter to apply.
  minDate | The minimum DateTime to include.
  maxDate | The maximum DateTime to include.

## ◆ ExtendedPathFilter() [3/3]

ICSharpCode.SharpZipLib.Core.ExtendedPathFilter.ExtendedPathFilter | ( | string | filter,
|  | long | minSize,
|  | long | maxSize,
|  | DateTime | minDate,
|  | DateTime | maxDate )

Initialise a new instance of ExtendedPathFilter.

Parameters

  filter | The filter to apply.
  minSize | The minimum file size to include.
  maxSize | The maximum file size to include.
  minDate | The minimum DateTime to include.
  maxDate | The maximum DateTime to include.

## Member Function Documentation

## ◆ IsMatch()

override bool ICSharpCode.SharpZipLib.Core.ExtendedPathFilter.IsMatch | ( | string | name | ) |
| virtual

Test a filename to see if it matches the filter.

Parameters

  name | The filename to test.

Returns
  True if the filter matches, false otherwise.

Exceptions

  System.IO.FileNotFoundException | The doesnt exist

Reimplemented from ICSharpCode.SharpZipLib.Core.PathFilter.

## Member Data Documentation

## ◆ maxDate_

DateTime ICSharpCode.SharpZipLib.Core.ExtendedPathFilter.maxDate_ = DateTime.MaxValue
| private

## ◆ maxSize_

long ICSharpCode.SharpZipLib.Core.ExtendedPathFilter.maxSize_ = long.MaxValue
| private

## ◆ minDate_

DateTime ICSharpCode.SharpZipLib.Core.ExtendedPathFilter.minDate_ = DateTime.MinValue
| private

## ◆ minSize_

long ICSharpCode.SharpZipLib.Core.ExtendedPathFilter.minSize_
| private

## Property Documentation

## ◆ MaxDate

DateTime ICSharpCode.SharpZipLib.Core.ExtendedPathFilter.MaxDate
| get set

Get/set the maximum DateTime value that will match for this filter.

Files with a LastWrite time greater than this value are excluded by the filter.

## ◆ MaxSize

long ICSharpCode.SharpZipLib.Core.ExtendedPathFilter.MaxSize
| get set

Get/set the maximum size/length for a file that will match this filter.

The default value is System.Int64.MaxValue

Exceptions

  ArgumentOutOfRangeException | value is less than zero or less than MinSize

## ◆ MinDate

DateTime ICSharpCode.SharpZipLib.Core.ExtendedPathFilter.MinDate
| get set

Get/set the minimum DateTime value that will match for this filter.

Files with a LastWrite time less than this value are excluded by the filter.

## ◆ MinSize

long ICSharpCode.SharpZipLib.Core.ExtendedPathFilter.MinSize
| get set

Get/set the minimum size/length for a file that will match this filter.

The default value is zero.

Exceptions

  ArgumentOutOfRangeException | value is less than zero; greater than MaxSize

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Core/PathFilter.cs